# [Material Tailwind Dashboard React](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/?ref=readme-mtdr)

![version](https://img.shields.io/badge/version-1.1.0-blue.svg) [![GitHub issues open](https://img.shields.io/github/issues/creativetimofficial/material-tailwind-dashboard-react.svg?maxAge=2592000)](https://github.com/creativetimofficial/material-tailwind-dashboard-react/issues?q=is%3Aopen+is%3Aissue) [![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/creativetimofficial/material-tailwind-dashboard-react.svg?maxAge=2592000)](https://github.com/creativetimofficial/material-tailwind-dashboard-react/issues?q=is%3Aissue+is%3Aclosed)

![Image](https://s3.amazonaws.com/creativetim_bucket/products/488/original/opt_md_tailwindreact_thumbnail.jpg)

Material Tailwind Dashboard React is a _free_ Admin Template based on two popular front-end technologies: _Tailwind CSS & React_. It was built to simplify the developer's work and is comes with a fresh design inspired by Google's Material Design. All its components are built to fit perfectly with each other, while aligning to the material concepts.

Save weeks of time and build your perfect dashboard with this powerful template! It features 120 fully coded components and 4 example pages if you want to get inspiration or just show something directly to your clients. This beautiful admin also comes with 5 color filter choices for both the sidebar and the card headers (blue, green, orange, red and purple) and an option to have a background image on the sidebar.

Material Tailwind Dashboard React is built based on our very popular Material Kit (https://www.creative-tim.com/product/material-kit). It makes use of light, surface and movement. The general layout resembles sheets of paper following multiple layers, so that the depth and order is obvious. Inside the archive you will find multiple example pages on how to use all components. And, of course, every element is well-documented.

## Table of Contents

-   [Versions](#versions)
-   [Demo](#demo)
-   [Quick Start](#quick-start)
-   [Documentation](#documentation)
-   [File Structure](#file-structure)
-   [Browser Support](#browser-support)
-   [Resources](#resources)
-   [Reporting Issues](#reporting-issues)
-   [Technical Support or Questions](#technical-support-or-questions)
-   [Licensing](#licensing)
-   [Useful Links](#useful-links)

## Versions

[<img src="https://github.com/creativetimofficial/public-assets/blob/master/logos/react.jpg?raw=true" width="60" height="60" />](https://www.creative-tim.com/product/material-tailwind-dashboard-react?ref=readme-mtdr)
| React |
| ----- |

| [![Material Tailwind Dashboard React](https://s3.amazonaws.com/creativetim_bucket/products/488/original/opt_md_tailwindreact_thumbnail.jpg)](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/?ref=readme-mtdr)

## Demo

-   [Dashboard](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/?ref=readme-mtdr)
-   [Settings](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/settings?ref=readme-mtdr)
-   [Tables](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/tables?ref=readme-mtdr)
-   [Maps](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/maps?ref=readme-mtdr)

## Quick start

Quick start options:

-   Download from [Creative Tim](https://www.creative-tim.com/product/material-tailwind-dashboard-react?ref=readme-mtdr).

## Terminal Commands

1. Download and Install NodeJs from [NodeJs Official Page](https://nodejs.org/en/download/).
2. Navigate to the root / directory and run npm install or (yarn install, if you're using yarn) to install our local dependencies.

## Documentation

Material Tailwind Dashboard React build using Material Tailwind and the documentation of Material Tailwind is hosted at [Material Tailwinl](https://material-tailwind.com/documentation/quick-start?ref=readme-mtdr).

### What's included

Within the download you'll find the following directories and files:

```
Material Tailwind Dashboard React
    ├── material-tailwind-dashboard-react
    │   ├── public
    │   │   ├── index.html
    │   │   ├── favicon.ico
    │   │   └── apple-icon.png
    │   ├── src
    │   │   ├── assets
    │   │   │   ├── img/
    │   │   │   └── styles/
    │   │   ├── components
    │   │   │   ├── AdminNavbar.js
    │   │   │   ├── ChartBar.js
    │   │   │   ├── ChartLine.js
    │   │   │   ├── Footer.js
    │   │   │   ├── MapExample.js
    │   │   │   ├── PageVisitsCard.js
    │   │   │   ├── ProfileCard.js
    │   │   │   ├── SettingsForm.js
    │   │   │   ├── Sidebar.js
    │   │   │   ├── StatusCard.js
    │   │   │   ├── TableCard.js
    │   │   │   └── TrafficCard.js
    │   │   ├── Pages
    │   │   │   ├── Dashboard.js
    │   │   │   ├── Maps.js
    │   │   │   ├── Settings.js
    │   │   │   └── Tables.js
    │   │   ├── App.js
    │   │   ├── App.test.js
    │   │   ├── index.js
    │   │   ├── reportWebVitals.js
    │   │   └── setup.test.js
    │   ├── CHANGELOG.md
    │   ├── jsconfig.json
    │   ├── LICENSE
    │   ├── package.json
    │   ├── postcss.config.js
    │   ├── README.md
    │   ├── tailwind.config.js
    │   ├── yarn.lock
```

## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/chrome.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/firefox.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/edge.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/safari.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/opera.png" width="64" height="64">

## Resources

-   [Live Preview](https://demos.creative-tim.com/material-tailwind-dashboard-react/#/?ref=readme-mtdr)
-   [Download Page](https://www.creative-tim.com/product/material-tailwind-dashboard-react?ref=readme-mtdr)
-   Documentation is [here](https://material-tailwind.com/documentation/quick-start?ref=readme-mtdr)
-   [License Agreement](https://www.creative-tim.com/license?ref=readme-mtdr)
-   [Support](https://www.creative-tim.com/contact-us?ref=readme-mtdr)
-   Issues: [Github Issues Page](https://github.com/creativetimofficial/material-tailwind-dashboard-react/issues)

## Reporting Issues

We use GitHub Issues as the official bug tracker for the Material Tailwind Dashboard React. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Material Tailwind Dashboard React. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/product/material-tailwind-dashboard-react?ref=readme-mtdr).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us?ref=readme-mtdr) instead of opening an issue.

## Licensing

-   Copyright 2021 [Creative Tim](https://www.creative-tim.com?ref=readme-mtdr)
-   Creative Tim [license](https://www.creative-tim.com/license?ref=readme-mtdr)

## Useful Links

-   [More products](https://www.creative-tim.com/templates?ref=readme-mtdr) from Creative Tim

-   [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

-   [Freebies](https://www.creative-tim.com/templates/free?ref=readme-mtdr) from Creative Tim

-   [Affiliate Program](https://www.creative-tim.com/affiliates/new?ref=readme-mtdr) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>
